package com.agilex.healthcare.schedulingmanager.domain;


import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.agilex.healthcare.utility.datemarshallers.DateTimeMarshaller;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import java.util.Date;

/**
 * Created with IntelliJ IDEA.
 * User: patelh
 * Date: 10/22/13
 * Time: 4:13 PM
 * To change this template use File | Settings | File Templates.
 */
@XmlRootElement(name = "ewlUpdateEntry", namespace = Namespace.SchedulingManager)
@XmlAccessorType(value = XmlAccessType.NONE)
public class EwlUpdateEntry {

    @XmlElement
    private PatientIdentifier patientIdentifier;

    @XmlElement
    private String facilityId;

    @XmlElement
    private String ien;

    @XmlElement
    @XmlJavaTypeAdapter(DateTimeMarshaller.class)
    private Date appointmentTime;

    @XmlElement
    private String dispositionCode;

    @XmlElement
    private String code;

    @XmlElement
    private String clinicId;

    @XmlElement
    private String stopCode;

    @XmlElement
    private String creditCode;

    public PatientIdentifier getPatientIdentifier() {
        return patientIdentifier;
    }

    public void setPatientIdentifier(PatientIdentifier patientIdentifier) {
        this.patientIdentifier = patientIdentifier;
    }

    public String getFacilityId() {
        return facilityId;
    }

    public void setFacilityId(String facilityId) {
        this.facilityId = facilityId;
    }

    public String getIen() {
        return ien;
    }

    public void setIen(String ien) {
        this.ien = ien;
    }

    public Date getAppointmentTime() {
        return appointmentTime;
    }

    public void setAppointmentTime(Date appointmentTime) {
        this.appointmentTime = appointmentTime;
    }

    public String getDispositionCode() {
        return dispositionCode;
    }

    public void setDispositionCode(String dispositionCode) {
        this.dispositionCode = dispositionCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getClinicId() {
        return clinicId;
    }

    public void setClinicId(String clinicId) {
        this.clinicId = clinicId;
    }

    public String getStopCode() {
        return stopCode;
    }

    public void setStopCode(String stopCode) {
        this.stopCode = stopCode;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }
}
